Summary:       Web development studio
Name:          bluefish
Version:       2.2.14
Release:       %mkrel 1
License:       GPLv2+
Group:         Networking/WWW
URL:           https://bluefish.openoffice.nl/
Source0:       https://www.bennewitz.com/bluefish/stable/source/%{name}-%{version}.tar.xz
Patch1:        bluefish-2.2.12-shellbang.patch
BuildRequires: pkgconfig(enchant-2)
BuildRequires: pkgconfig(gdk-3.0)
BuildRequires: pkgconfig(gdk-pixbuf-2.0)
BuildRequires: pkgconfig(gio-unix-2.0) >= 2.16
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gmodule-2.0) >= 2.16
BuildRequires: pkgconfig(gobject-2.0)
BuildRequires: pkgconfig(gthread-2.0)
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(gucharmap-2.90)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(pango)
BuildRequires: pkgconfig(python3)
BuildRequires: intltool
BuildRequires: desktop-file-utils
# needed for validating RELAX NG
BuildRequires: libxml2-utils
BuildRequires: which
# needed for checking the manpages
BuildRequires: man

Requires(post): libxml2-utils
Requires(postun): libxml2-utils

%description
Bluefish is a programmer's HTML editor, designed to save the experienced
webmaster some keystrokes.

It features a multiple file editor, multiple toolbars, custom menus, image
and thumbnail dialogs, open from the web, HTML validation, and lots of wizards.

This is not a WYSIWYG editor but an HTML editor (you edit the HTML code).

%prep
%autosetup -p0

%build
%configure2_5x \
    --disable-update-databases \
    --disable-xml-catalog-update
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

desktop-file-install --dir %{buildroot}%{_datadir}/applications/ \
    %{buildroot}%{_datadir}/applications/*.desktop

# Explicitly byte-compile "extra" python code using Python 3
%py_byte_compile %{python3} %{buildroot}%{_datadir}/bluefish

%post
/usr/bin/xmlcatalog --noout --add 'delegateURI' \
    'http://bluefish.openoffice.nl/ns/bflang/2.0/' '%{_datadir}/xml/%{name}' \
    %{_sysconfdir}/xml/catalog > /dev/null || :

%postun
if [ "$1" = 0 ]; then
    /usr/bin/xmlcatalog --noout --del \
        'http://bluefish.openoffice.nl/ns/bflang/2.0/' \
        %{_sysconfdir}/xml/catalog > /dev/null || :
fi

%files
%{_bindir}
%{_libdir}
%{_datadir}

%changelog
* Sun Sep 17 2023 tex - 2.2.14-1pclos2023
- new version: 2.2.14
